#include <iostream>

using namespace std;

long long n,a,setP[3],setZ[3]={0};

int main()
{
    cin >> n >> a;
    if(n<3*a)
    {
        cout << -1;
        return 0;
    }
    if((a==2)&&(n%2==1))
    {
        cout << -1;
        return 0;
    }
    setP[0]=a, setP[1]=a;
    n=n-2*a;
    if(n%2==1)
    {
        setZ[1]=1;
        n-=1;
    }
    if(n==a)
    {
        setP[2]=a;
    }
    else if(n>=2*a)
    {
        setP[2]=n/2+1;
        setZ[2]=n/2-1;
    }
    else
    {
        setP[2]=a;
        setZ[2]=n-a;
    }
    for(int i=0;i<3;i++)
    {
        cout << setP[i] << " " << setZ[i] << "\n";
    }
    return 0;
}